App\Entity\Utilisateur:
    type: entity
    table: utilisateur
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        nom:
            type: string
            length: 255
            fixed: false
            nullable: false
        prenom:
            type: string
            length: 255
            fixed: false
            nullable: false
        username:
            type: string
            length: 255
            fixed: false
            nullable: false
            column: username
        password:
            type: string
            length: 255
            fixed: false
            nullable: true
            column: password
        email:
            type: string
            length: 255
            fixed: false
            nullable: true
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: true
        avatar:
            type: string
            length: 255
            fixed: false
            nullable: true
        role:
            type: string
            length: 255
            fixed: false
            nullable: true
        isActive:
            type: boolean
            nullable: true
        superAdmin:
            type: boolean
            nullable: true
        remise:
            type: float
            nullable: true
    manyToMany:
        magasins:
            targetEntity: Magasin
            mappedBy: null
            inversedBy: utilisateurs
            joinTable:
                name: utilisateur_magasins
                joinColumns:
                    -
                        name: utilisateur_id
                        referencedColumnName: id
                inverseJoinColumns:
                    -
                        name: magasin_id
                        referencedColumnName: id
    oneToMany:
        achats:
            targetEntity: Achat
            mappedBy: utilisateur
        ventes:
            targetEntity: Vente
            mappedBy: utilisateur
        commandes:
            targetEntity: Commande
            mappedBy: utilisateur
        devis:
            targetEntity: Devis
            mappedBy: utilisateur
        depenses:
            targetEntity: Depense
            mappedBy: utilisateur
        reparations:
            targetEntity: Reparation
            mappedBy: utilisateur
        rproduits:
            targetEntity: ReparationProduit
            mappedBy: utilisateur
        traces:
            targetEntity: Trace
            mappedBy: doneBy
        droitutilisateur:
            targetEntity: DroitUtilisateur
            mappedBy: utilisateur
            orderBy:
              entite: ASC
        prospects:
            targetEntity: Prospect
            mappedBy: utilisateur
        evenements:
            targetEntity: ProspectEvenement
            mappedBy: utilisateur
        dossiers:
            targetEntity: Dossier
            mappedBy: utilisateur
        bookings:
            targetEntity: Booking
            mappedBy: utilisateur